Name:           quvi
Version:        0.9.5
Release:        %mkrel 7
Summary:        Command line tool for parsing video download links
Group:          Networking/Other
License:        LGPLv2+
URL:            http://quvi.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
BuildRequires: pkgconfig(glib-2.0) >= 2.24
BuildRequires: pkgconfig(gobject-2.0) >= 2.24
BuildRequires: pkgconfig(json-glib-1.0) >= 0.12
BuildRequires: pkgconfig(libcurl) >= 7.18.2
BuildRequires: pkgconfig(libquvi-0.9) >= 0.9
BuildRequires: pkgconfig(libxml-2.0) >= 2.7.8
Requires:	libquvi-scripts >= 0.9
Requires:	lua5.1 >= 5.1

%description
quvi is a command line tool for parsing video download links.
It supports Youtube and other similar video websites.
libquvi is a library for parsing video download links with C API.
It is written in C and intended to be a cross-platform library.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

%files
%doc ChangeLog COPYING README
%{_bindir}/%{name}
%{_mandir}/man?/*


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 0.9.5-7.mga8
+ Revision: 1516260
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.9.5-6.mga7
+ Revision: 1300758
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Mon Feb 08 2016 umeabot <umeabot> 0.9.5-5.mga6
+ Revision: 947483
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.9.5-4.mga5
+ Revision: 742483
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.5-3.mga5
+ Revision: 688591
- Mageia 5 Mass Rebuild

* Sun Feb 09 2014 fwang <fwang> 0.9.5-2.mga5
+ Revision: 586931
- rebuild for new libquvi

* Tue Feb 04 2014 fwang <fwang> 0.9.5-1.mga5
+ Revision: 581766
- new version 0.9.5

* Mon Oct 21 2013 umeabot <umeabot> 0.9.3.1-3.mga4
+ Revision: 538744
- Mageia 4 Mass Rebuild

* Wed Oct 02 2013 fwang <fwang> 0.9.3.1-2.mga4
+ Revision: 490286
- rebuild for new libquvi

* Sun Sep 01 2013 fwang <fwang> 0.9.3.1-1.mga4
+ Revision: 473837
- new version 0.9.3.1

* Mon Jul 15 2013 fwang <fwang> 0.9.2-1.mga4
+ Revision: 454631
- new version 0.9.2

* Wed May 29 2013 fwang <fwang> 0.9.1-1.mga4
+ Revision: 430503
- update file list
- new version 0.9.1

* Sun Jan 13 2013 umeabot <umeabot> 0.4.2-2.mga3
+ Revision: 380132
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jun 08 2012 fwang <fwang> 0.4.2-1.mga3
+ Revision: 257694
- new version 0.4.2

* Sun Feb 12 2012 fwang <fwang> 0.4.1-1.mga2
+ Revision: 208159
- update file list
- new version 0.4.1

* Fri Sep 02 2011 fwang <fwang> 0.2.19-1.mga2
+ Revision: 137978
- new version 0.2.19
- imported package quvi

